<?php

// Ficheiro referente ao processamento das provas feitas pelo GCLCprover


// é igual ao ficheiro referente ao GCLCprover, isto dado que isto
// já está a montante da conversão.


// escreve os ficheiro do da prova nos formatos PDF e XML
$vNameProofPDF     = 'proof'.$pUserId.'.pdf';
$vNameProofXML     = 'proof'.$pUserId.'.xml';
$vNameProofBZ2     = $vNameProofXML.'.bz2';


// escreve o ficheiro referente à prova no formato PDF
ob_start();
print $ficheiroPDF;
$pdffile=fopen($vNameProofPDF,"w");
fwrite($pdffile,ob_get_contents()); 
fclose($pdffile); 
ob_end_clean(); 


// agora o ficheiro XML (compactado)
ob_start();
print $ficheiroBZ2;
$pdffile=fopen($vNameProofBZ2,"w");
fwrite($pdffile,ob_get_contents()); 
fclose($pdffile); 
ob_end_clean(); 
// vai descomprimir o ficheiro XML (e necessário apagar o anterior)
system("rm $vNameProofXML");
system("bunzip2 $vNameProofBZ2");

?>
